#ifndef __INC_POS_PGFX_DISKFONT_H
#define __INC_POS_PGFX_DISKFONT_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>DiskFont.h<<   02 Jul 1996    16:44:42 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PEXEC_LIST_H
#include <pExec/List.h>
#endif


enum {
 pOS_MaxFontPath=256,
 DFH_ID=         0x0f80,
 pOS_MaxFontName=32, /* font name including ".font\0" */
};


/*----------------------------------
-----------------------------------*/
struct pOS_DiskFontHeader
{
  UBYTE                  dfh_Pad[4];
  struct pOS_ExNode      dfh_DF;
  UWORD                  dfh_FileID;         /* DFH_ID */
  UWORD                  dfh_Revision;       /* the font revision */
  struct pOS_SegmentLst* dfh_Segment;        /* the segment address when loaded */
  CHAR                   dfh_Name[ pOS_MaxFontName ]; /* the font name (null terminated) */

  union {
    struct {
      struct pOS_ExNode dfhd_Node;
      UBYTE      dfhd_Pad[6];
      UWORD      dfhd_YSize;
      UBYTE      dfhd_Style;
      UBYTE      dfhd_Flags;
      UWORD      dfhd_XSize;
      UWORD      dfhd_Baseline;
      UWORD      dfhd_BoldSmear;
      UWORD      dfhd_Accessors;
      UBYTE      dfhd_LoChar;
      UBYTE      dfhd_HiChar;
      APTR       dfhd_CharData;
      UWORD      dfhd_Modulo;
      APTR       dfhd_CharLoc;
      APTR       dfhd_CharSpace;
      APTR       dfhd_CharKern;
    } dfh_Data;

  } dfh_U;

};

#endif
