#ifndef __INC_POS_PGFX_GFXTAGS_H
#define __INC_POS_PGFX_GFXTAGS_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>GfxTags.h<<   21 Oct 1996    08:26:33 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PUTIL_TAGITEM_H
#include <pUtil/TagItem.h>
#endif


enum pOS_GfxTags
{
  GFXTAG_First = TAG_USER + 0x10000,
  GFXTAG_Width,                 /* (ULONG) [GfxMap] */
  GFXTAG_Height,                /* (ULONG) [GfxMap] */
  GFXTAG_Colors,                /* (ULONG) [ColorMap] */
  GFXTAG_MasterRastPort,        /* (const pOS_RastPort*) als Klone-Vorlage */
  GFXTAG_Error,                 /* (ULONG*) enum pOS_GfxErrors */
  GFXTAG_OverscanType,          /* (enum pOS_OverscanType) */
  GFXTAG_GfxFlags,              /* (enum pOS_GfxMapFlags) [GfxMap] */
  GFXTAG_GfxType,               /* (enum pOS_GfxMapType) [GfxMap] */
  GFXTAG_FriendGfxMap,          /* (const pOS_GfxMap*) [GfxMap] */
  GFXTAG_DebugView,             /* (BOOL [GfxMap] */
  GFXTAG_MonLock,               /* (pOS_MonLock*) */
  GFXTAG_MonFile,               /* (pOS_MonFile*) */
  GFXTAG_GfxMap,                /* (pOS_GfxMap*) */
  GFXTAG_ColorMap,              /* (pOS_ColorMap*) */
  GFXTAG_RastPort,              /* (pOS_RastPort*) */
  GFXTAG_APen,                  /* (ULONG) */
  GFXTAG_BPen,                  /* (ULONG) */
  GFXTAG_OPen,                  /* (ULONG) */
  GFXTAG_ColorFlags,            /* (enum pOS_ColorMapFlags) [ColorMap] */
  GFXTAG_ColorType,             /* (enum pOS_ColorMapType) [ColorMap] */
  GFXTAG_FriendColorMap,        /* (const pOS_ColorMap*) [ColorMap] */
  GFXTAG_CrtColorMapEx,         /* (BOOL) [ColorMap] pOS_ColorMapEx erzeugen */
  GFXTAG_CrtGfxMapEx,           /* (BOOL) [GfxMap] pOS_GfxMapEx erzeugen */
  GFXTAG_RColorsArray,          /* (const struct pOS_RColor*) */
  GFXTAG_Depth,                 /* (ULONG) [GfxMap] for Planar */
  GFXTAG_StdGfxMap,             /* (const pOS_StdXXXGfxMap*) Standard-GfxMap */
  GFXTAG_StdColorMap,           /* (const pOS_StdXXXColorMap*) Standard-ColorMap */
  GFXTAG_CrtExtraMap,           /* (ULONG) 0==off, 1==geringer Speicherverbrauch */


};


#endif
