#ifndef __INC_POS_PGFX_GFXBASE_H
#define __INC_POS_PGFX_GFXBASE_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>GFXBase.h<<   14 Sep 1996    11:52:57 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PEXEC_LIBRARY_H
#include <pExec/Library.h>
#endif
#ifndef __INC_POS_PEXEC_SEMA_H
#include <pExec/Sema.h>
#endif


/*----------------------------------
           read only
-----------------------------------*/
struct pOS_GfxBase
{
  struct pOS_Library         gfx_Lib;
  struct pOS_ExecBase       *ExecBase;
  struct pOS_UtilityBase    *UtilityBase;

  UBYTE                      gfx_Reserved1[32];

  struct pOS_Semaphore       gfx_MonSem;
  struct pOS_ExList          gfx_Monitor;    /* (pOS_MonitorUnit*) */
  struct pOS_ExList          gfx_MonDef;     /* (*) */
  struct pOS_ExList          gfx_MonMount;   /* (*) */
  UBYTE                      gfx_Reserved2[32];

  struct pOS_Semaphore       gfx_FontSem;
  struct pOS_ExList          gfx_FontList;   /* (pOS_TextFont*) */

  struct pOS_TextFont       *gfx_DefaultFont;
  struct pOS_MonLock        *gfx_DefaultMonLock;

/**** SYSTEM-PRIVATE **/
};



enum
{
  pOS_MonFileName_MAX = 48,   /* darf am Stack angelegt werden */
  pOS_MonPathName_MAX = 320,  /* darf am Stack angelegt werden */
};



/** for pOS_AllocGfxObject() / pOS_FreeGfxObject() **/
enum pOS_GfxObjects
{
  GFXOBJ_MIB=1,             /* (struct pOS_MonInfoData) */
};




#endif
