#ifndef __INC_POS_PGFX_VIEW_H
#define __INC_POS_PGFX_VIEW_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>View.h<<   29 Sep 1996    09:08:00 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PEXEC_SEMA_H
#include <pExec/Sema.h>
#endif


/*----------------------------------
-----------------------------------*/
struct pOS_View
{
  struct pOS_ExNode    v_Node;
  struct pOS_ExList    v_VPList;    /* (pOS_ViewPort*) */
  SWORD                v_Dx;        /* View-Offset */
  SWORD                v_Dy;
  ULONG                v_Flags;
  struct pOS_Semaphore v_Lock;

  UBYTE  v_Reserved[64];
};

/*----------------------------------
-----------------------------------*/
struct pOS_ViewPort
{
  struct pOS_ExNode   vp_Node;
  struct pOS_MonFile *vp_MonFile;
  UBYTE               vp_Reserved[32];
};


/*----------------------------------
-----------------------------------*/
struct pOS_RasInfo
{
  struct pOS_RasInfo *ri_Next;        /* used for dualpf */
  struct pOS_GfxMap  *ri_GfxMap;
  SLONG               ri_RxOffset;
  SLONG               ri_RyOffset;    /* scroll offsets in this BitMap */
  UBYTE               ri_Reserved[16];
};


#endif
